package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCreditHistory;
import com.iformall.domain.vo.WxCreditHistoryVo;

import java.util.Map;

public interface WxCreditHistoryService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxCreditHistory> listAsPage(WxCreditHistory record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询分页列表更多
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxCreditHistoryVo> listAsPageMore(WxCreditHistory record, Integer pageIndex, Integer pageSize);

	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCreditHistory getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    WxCreditHistory saveOrUpdate(WxCreditHistory record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    Map<String, Integer> findByMerchantIdAndSpend(Long merchantId, String spendStr, String tenantId);
    
    void clearCreditByYear();
}
